petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscViewerSetFromOptions

Sets the graphics type from the options database. Defaults to a PETSc X windows graphics.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerSetFromOptions(PetscViewer viewer)

Collective on PetscViewer

### Input Parameter

| PetscViewer | - the graphics context

### Notes

Must be called after PetscViewerCreate() before the PetscViewer is used.

### See Also

PetscViewerCreate(), PetscViewerSetType(), PetscViewerType

### Level

intermediate

### Location

src/sys/classes/viewer/interface/viewreg.c

### Examples

src/mat/tutorials/ex10.c.html
src/dm/tutorials/ex9.c.html
src/dm/tutorials/ex10.c.html
src/snes/tutorials/ex12.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex48.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages